{}
{	Sounds.p}
{}
{	A module to provide simple sound playing for After Dark modules.}
{	}
{	by Patrick C. Beard.}
{	}
{	7/5/90 - One shot sound, returning handle to a structure that keeps information}
{	about the operating sound manager.}
{	}
{	3/20/91 - Sound under A/UX 2.0.1 is not as we thought.  It is based on}
{	system 6.0.7, and yet the sound manager doesn't support multiple channels of}
{	sound.  Nuts.  Need to use Gestalt to check for the sound input/output manager}
{	instead of testing the system version.}
{	}
{	3/28/91 - Modifying interfaces to use call backs provided by After Dark.  Requires}
{	addition of GMParams}
{	}
{	Copyright  1990, 1991 Berkeley Systems, Inc.}
{ }

unit Sounds;

interface

	uses
		Sound, GraphicsModuleTypes;

	type
		SoundInfo = record
				privateData: longint;
				hasSoundIOManager: Boolean;
			end;

		SoundInfoPtr = ^SoundInfo;
		SoundInfoHandle = ^SoundInfoPtr;

	function OpenSound (params: GMParamBlockPtr): SoundInfoHandle;
	procedure CloseSound (info: SoundInfoHandle; channel: SndChannelPtr);
	procedure PlaySound (info: SoundInfoHandle; channel: SndChannelPtr; sound: Handle);
	procedure QuietSound (info: SoundInfoHandle; channel: SndChannelPtr);
	procedure FlushSound (info: SoundInfoHandle; channel: SndChannelPtr);
	function GetSoundLength (info: SoundInfoHandle; sound: Handle): longint;

implementation

	function OpenSound (params: GMParamBlockPtr): SoundInfoHandle;
	external;
	procedure CloseSound (info: SoundInfoHandle; channel: SndChannelPtr);
	external;
	procedure PlaySound (info: SoundInfoHandle; channel: SndChannelPtr; sound: Handle);
	external;
	procedure QuietSound (info: SoundInfoHandle; channel: SndChannelPtr);
	external;
	procedure FlushSound (info: SoundInfoHandle; channel: SndChannelPtr);
	external;
	function GetSoundLength (info: SoundInfoHandle; sound: Handle): longint;
	external;

end.